<%@ Import Namespace="System.Net" %>

<Script runat=server>
Public Sub GetSalesRank(sender As Object, e As EventArgs)
  Dim bn As New BarnesAndNoble()
  Dim match As GetBookDetailsMatches
  match = bn.GetBookDetails(isbn.Value)

  rank.Text = match.Rank
End Sub
</Script>
<font face=arial>
  <form runat=server>
  ISBN number: <input type=text id="isbn" runat=server/>
  <input type=submit id=submit onserverclick="GetSalesRank" runat=server/>
  </form>
  Sales Rank: <font color=red><b><asp:label id=rank runat=server/></b></font>
</font>

<!-- Sample ISBNs
A Preview of ASP+: 1861004753
Professional ASP.NET: 1861004885
-->